Skip to content
Back to Steward

Get risk score configuration

GET
/api/v1/account/{accountId}/risk-settings
accountId
required
string
Media type application/json
object
factors
required

Risk factors with their options and weights

Array<object>
object
name
required

Name of the risk factor (section)

string
Allowed values: JURISDICTION OWNERSHIP INDUSTRY ENTITY_AGE LEGAL_ENTITY_TYPE PEP WATCHLIST SANCTIONS ADVERSE_MEDIA REGULATED SOURCE_OF_WEALTH
options
required

Options within this risk factor

Array<object>
object
name
required

Name of the risk factor option. Can be a RiskFactorOptionName enum value or a custom string.

string
Allowed values: JURISDICTION_VERY_LOW JURISDICTION_LOW JURISDICTION_MEDIUM JURISDICTION_MEDIUM_HIGH JURISDICTION_HIGH JURISDICTION_PROHIBITED OWNERSHIP_SIMPLE OWNERSHIP_LAYERED OWNERSHIP_COMPLEX gambling lottery adultServices cryptocurrency paydayLending moneyServices nonBankFinance oil gas mining defenceAerospace pharmaceuticals healthcare realEstate technology banking investment military preciousMetals tobacco other ENTITY_AGE_LESS_THAN_1_YEAR ENTITY_AGE_1_TO_3_YEARS ENTITY_AGE_3_PLUS_YEARS LEGAL_ENTITY_TYPE_LIMITED_COMPANY LEGAL_ENTITY_TYPE_TRUST LEGAL_ENTITY_TYPE_FOUNDATION LEGAL_ENTITY_TYPE_PARTNERSHIP LEGAL_ENTITY_TYPE_FUNDS_VEHICLE LEGAL_ENTITY_TYPE_OTHER SCREENING_ADVERSE_MEDIA_DETECTED SCREENING_PEP_DETECTED SCREENING_SANCTIONS_DETECTED SCREENING_WATCHLIST_DETECTED REGULATED_VERY_LOW_RISK REGULATED_LOW_RISK REGULATED_MEDIUM_LOW_RISK REGULATED_MEDIUM_HIGH_RISK REGULATED_HIGH_RISK REGULATED_PROHIBITED_RISK
score
required

Score for the risk factor option

number
group

Group the option belongs to

string
nullable
weight
required

Multiplier applied to this factor’s score, e.g. 0.3

number
metadata

Additional metadata for the factor

object
screeningTaxonomy
object
sources
required
Array<object>
object
sourceType
required
string
tiers
required
Array<object>
object
id

Stable tier identity returned by the server; retain when renaming a tier

string
nullable
legacyLabel

Original label for legacy screening classifications

string
nullable
label
required
string
weight
required
number
description

Editable explanatory text shown on the (i) hover for this tier

string
nullable
categories
required
Array<object>
object
label
required
string
description

Editable explanatory text shown on the (i) hover for this category

string
nullable
autoRescore
required

Whether saving risk settings re-scores in-progress applications

boolean
updatedAt
string format: date-time
Examples
{
"factors": [
{
"name": "OWNERSHIP",
"options": [
{
"name": "OWNERSHIP_SIMPLE",
"score": 20,
"group": null
},
{
"name": "OWNERSHIP_LAYERED",
"score": 60,
"group": null
},
{
"name": "OWNERSHIP_COMPLEX",
"score": 80,
"group": null
}
],
"weight": 0.3,
"metadata": {}
}
],
"screeningTaxonomy": {
"sources": [
{
"sourceType": "SANCTIONS",
"tiers": [
{
"id": "screening-tier:SANCTIONS:High",
"legacyLabel": "High",
"label": "High",
"weight": 100,
"description": "Current, designated, prohibited or deliberate sanctions misconduct",
"categories": [
{
"label": "Direct match",
"description": "Direct match to a UK (OFSI), EU, US (OFAC), or UN sanctions list"
}
]
}
]
}
]
},
"autoRescore": true,
"updatedAt": "2026-03-30T12:00:00.000Z"
}